function W = createSampleWell(W, G, rock, cells, varargin)
   opt = struct('InnerProduct', 'ip_tpf',                ...
                'Dir'         , 'z',                     ...
                'Name'        , 'noname',                ...
                'Radius'      , 0.1,                     ...
                'Type'        , 'bhp',                   ...
                'Val'         , 0,                       ...
                'Comp_i'      , [1, 0],                  ...
                'WI'          , -1*ones(numel(cells),1), ...
                'Kh'          , -1*ones(numel(cells),1), ...
                'Skin'        , zeros(numel(cells), 1),  ...
                'refDepth'    , 0,                       ...
                'Sign'        , []);
   opt = merge_options(opt, varargin{:});
   % default well will be handled as injector in checkLims
   va = reshape([fieldnames(opt),struct2cell(opt)].',1,[]);
   W1 = addWell([], G, rock, cells, va{:});
   W1(end).poly = 0;
   W1(end).lims.rate = -inf;
   W1(end).lims.bhp  = inf;
   W=[W;W1];
end
