function [info, present] = dataset_blackoilpolymer2d()
% Info function for the dataset of a 2D black-oil polymer example. Use getDatasetInfo or getAvailableDatasets for practical purposes.

%{
Copyright 2015-2017 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
    [info, present] = datasetInfoStruct(...
        'name', 'BlackoilPolymer2d', ...
        'fileurl', 'https://www.sintef.no/contentassets/124f261f170947a6bc51dd76aea66129/blackoilpolymer2d.zip', ...
        'hasGrid', true, ...
        'hasRock', true, ...
        'hasFluid', true, ...
        'cells',   100, ...
        'examples', {'ad-eor:blackoilpolymerTutorial2D'}, ...
        'description', 'This is a 2D example for black-oil polymer simulation. Contains a single water injector in the bottom layers and a production well in the top layers. The schedule contains first a period of water injection without polymer, then a water flooding period with polymer, followed by a pure water flooding phase without polymer. Two data files are included, the only difference is that one considers shear effects for polymer injection, while the other one not. The reference results from Eclipse are also included for the two cases.', ...
        'filesize',    1.7, ...
        'modelType', 'Three-phase, black-oil with polymer injection. Cartesian grid' ...
         );
end
