function [info, present] = dataset_sleipner()
% Info function for CO2lab dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.

%{
Copyright 2009-2017 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
    [info, present] = datasetInfoStruct(...
        'name', 'Sleipner', ...
        'website', 'http://www.ieaghg.org/networks/modelling-network', ...
        'fileurl', '', ...
        'hasGrid', true, ...
        'hasRock', true, ...
        'hasFluid', false, ...
        'cells', 262990, ...
        'description', ['The Sleipner field in the North Sea was the world''s', ...
        ' first commercial CO2 storage project. Every year since 1996,', ...
        ' approximately one million tonnes of carbon dioxide has been', ...
        ' captured from the natural gas production at Sleipner West using', ...
        ' a conventional amine process and stored in the saline Utsira', ...
        ' formation. The Utsira formation is a  200-250 meters thick massive', ...
        ' sandstone that lies at a depth of 800-1000 metres below the seabed.', ...
        ' To access the model, go to the IEAGHG modeling network webpage', ...
        ' (click "webpage" below) and follow the instructions there. (Note', ...
        ' must register as a member of the modeling network first).'], ...
        'examples', {'co2lab:runSleipner', ...
                     'co2lab:calibrateSleipner', ...
                      }, ...                 
        'modelType', 'Two-phase CO2-water, corner-point' ...
         );
end
